#include <bits/stdc++.h>
using namespace std;
typedef long long ll;
#define all(c) (c).begin(),(c).end()
#define sz(c) (int)(c).size()
#define pb push_back
#define mp make_pair
#define x first
#define y second
#define image(a) {sort(all(a)), a.resize(unique(all(a)) - a.begin());}
const ll INF = (ll)1e9;
struct pnt {
  ll x, y;
};
pnt rot(pnt a) {
  return {a.y, -a.x};
}
pnt operator + (pnt a, pnt b) {
  return {a.x + b.x, a.y + b.y};
}
pnt operator - (pnt a, pnt b) {
  return {a.x - b.x, a.y - b.y};
}
pnt operator * (pnt a, ll c) {
  return {a.x * c, a.y * c};
}
struct rect {
  pnt p1, p2;
  rect(pnt a, pnt b) {
    p1.x = max(-INF, min(a.x, b.x));
    p1.y = max(-INF, min(a.y, b.y));
    p2.x = min(INF, max(a.x, b.x));
    p2.y = min(INF, max(a.y, b.y));
  }
};
vector<ll> x;
vector<ll> y;
pair<int, int> compress(vector<rect>& ls) {
  for (rect r : ls) {
    x.pb(r.p1.x);
    x.pb(r.p2.x);
    y.pb(r.p1.y);
    y.pb(r.p2.y);    
  }
  image(x);
  image(y);
  for (rect& r : ls) {
    r.p1.x = lower_bound(all(x), r.p1.x) - x.begin();
    r.p2.x = lower_bound(all(x), r.p2.x) - x.begin();
    r.p1.y = lower_bound(all(y), r.p1.y) - y.begin();
    r.p2.y = lower_bound(all(y), r.p2.y) - y.begin();    
  }
  return {sz(x), sz(y)};
}
const int sh = 1 << 18;
pair<int, int> rm[2 * sh + 10];
int d[2 * sh + 10];
void push(int v) {
  if (v < sh) {
    d[v * 2] += d[v];
    d[v * 2 + 1] += d[v];    
  }
  rm[v].x += d[v];
  d[v] = 0;
}
void add(int v, int l, int r, int L, int R, int p) {
  push(v);
  if (r < L || R < l) return;
  if (L <= l && r <= R) {
    d[v] += p;
    push(v);
    return;
  }
  add(v * 2, l, (l + r) / 2, L, R, p);
  add(v * 2 + 1, (l + r) / 2 + 1, r, L, R, p);
  rm[v] = max(rm[v * 2], rm[v * 2 + 1]);  
}
int main() {
  int n;
  cin >> n;
  pnt cur = {0, 0};
  pnt v = {0, 1};
  vector<rect> ls;
  for (int i = 0; i < n; i++) {    
    int a;
    char c;
    cin >> a >> c;
    ls.pb(rect(cur, cur + v * a + rot(v) * (INF * 2)));
    cur = cur + v * a;
    if (c == 'L') {
      ls.pb(rect(cur, cur + v * (INF * 2) + rot(v) * (INF * 2)));      
      v = rot(v) * (-1);      
    } else {
      ls.pb(rect(cur, cur + v * (-INF * 2) + rot(v) * (INF * 2)));
      v = rot(v);
    }
  }
  compress(ls);
  pair<int, pair<ll, ll>> res = {-1, {0, 0}};
  vector<vector<pair<int, int>>> q(sz(x) + 1);    
  for (const rect& r : ls) {
    q[r.p1.x].pb({r.p1.y, 1});
    q[r.p1.x].pb({r.p2.y, -1});
    q[r.p2.x].pb({r.p1.y, -1});
    q[r.p2.x].pb({r.p2.y, 1});
  }
  for (int i = 0; i < sh; i++) {
    rm[i + sh] = {0, i};
  }
  for (int i = sh - 1; i >= 1; i--) {
    rm[i] = max(rm[i * 2], rm[i * 2 + 1]);
  }
  for (int i = 0; i < sz(x); i++) {
    for (const auto& p : q[i]) {
      add(1, 0, sh - 1, p.x, sh -1, p.y);
    }
    res = max(res, {rm[1].x, {x[i], y[min(rm[1].y, sz(y) - 1)]}});
  }
  cout << res.y.x << " " << res.y.y << endl;
  return 0;
}
